package com.iohao.mmo.excel.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import com.iohao.mmo.excel.dto.converter.StatusConverter;
import lombok.Data;
import java.util.Date;

/**
 * Excel示例类（匹配表格）
 *
 * @author Toby javatangbin@163.com
 */
@Data
@ContentRowHeight(20)
@HeadRowHeight(20)
@ColumnWidth(25)
public class DemoExcelDTO {
    @ColumnWidth(20)
    @ExcelProperty("名称")
    private String name;

    @ExcelProperty("编码")
    private String code;

    @ColumnWidth(20)
    @ExcelProperty(value = "状态", converter = StatusConverter.class)
    private Integer status;

    @ExcelProperty("备注")
    private String remark;

    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    @ExcelProperty("注册时间")
    private Date registerDate;


}