package com.iohao.mmo.excel.service;

import java.io.Serializable;
import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 基础服务接口
 *
 * @author Toby javatangbin@163.com
 */
public interface BaseService<T> {
    Class<T> currentModelClass();
    /**
     * <p>
     * 根据 参数 查询列表
     * </p>
     *
     * @param param 参数集合
     */
    List<T> list(Map<String,Object> param, Class<T> entityClass);

    /**
     * <p>
     * 根据 ID 查询
     * </p>
     *
     * @param id 主键ID
     */
    T selectById(Serializable id,Class<T> entityClass);

    /**
     * <p>
     * 插入一条记录（选择字段，策略插入）
     * </p>
     *
     * @param entity 实体对象
     */
    void insert(T entity);

    /**
     * <p>
     * 插入（批量）
     * </p>
     *
     * @param entityList 实体对象集合
     */
    void insertBatch(Collection<T> entityList);

    /**
     * <p>
     * 根据 ID 选择修改
     * </p>
     *
     * @param entity 实体对象
     */
    void update(T entity);

    /**
     * <p>
     * 根据 ID 批量删除
     * </p>
     *
     * @param idList 主键ID
     */
    void deleteBatch(List<Serializable> idList,Class<T> entityClass);
}